<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="#index_a"><span>a</span></a></li>
      <li><a href="#index_b"><span>b</span></a></li>
      <li><a href="#index_c"><span>c</span></a></li>
      <li><a href="#index_d"><span>d</span></a></li>
      <li><a href="#index_e"><span>e</span></a></li>
      <li><a href="#index_f"><span>f</span></a></li>
      <li><a href="#index_g"><span>g</span></a></li>
      <li><a href="#index_h"><span>h</span></a></li>
      <li><a href="#index_i"><span>i</span></a></li>
      <li><a href="#index_l"><span>l</span></a></li>
      <li><a href="#index_n"><span>n</span></a></li>
      <li><a href="#index_o"><span>o</span></a></li>
      <li><a href="#index_p"><span>p</span></a></li>
      <li><a href="#index_r"><span>r</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
      <li><a href="#index_t"><span>t</span></a></li>
      <li><a href="#index_u"><span>u</span></a></li>
      <li><a href="#index_w"><span>w</span></a></li>
      <li><a href="#index_x"><span>x</span></a></li>
      <li><a href="#index_y"><span>y</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all struct and union fields with links to the structures/unions they belong to:

<h3><a class="anchor" id="index_a">- a -</a></h3><ul>
<li>active
: <a class="el" href="structMInputContext.html#ae9d32f7e51c86e172789ef35d52e36d2">MInputContext</a>
</li>
<li>adjusted
: <a class="el" href="structMFLTGlyph.html#a000662b1f296fd0531b1de9b833b1f2a">MFLTGlyph</a>
</li>
<li>advance_is_absolute
: <a class="el" href="structMFLTGlyphAdjustment.html#a6366b42e7178ae76a9a1ddc83f62541e">MFLTGlyphAdjustment</a>
</li>
<li>align_head
: <a class="el" href="structMDrawControl.html#a5aa326c8b84bf768b68596f6abafab42">MDrawControl</a>
</li>
<li>allocated
: <a class="el" href="structMFLTGlyphString.html#ae0c9b765a754d5e96927c3e74904da0f">MFLTGlyphString</a>
</li>
<li>anti_alias
: <a class="el" href="structMDrawControl.html#acb409990f67127a3b770085d45f6ce2d">MDrawControl</a>
</li>
<li>arg
: <a class="el" href="structMInputContext.html#adaa95c2bfb799d6329bb4e3c2d95b992">MInputContext</a>
, <a class="el" href="structMInputMethod.html#ad5d88e37cdabefa5713b05aa5a3d9bc8">MInputMethod</a>
</li>
<li>as_image
: <a class="el" href="structMDrawControl.html#af301cfe17b9e439d316e110a0bf3c92f">MDrawControl</a>
</li>
<li>ascent
: <a class="el" href="structMFLTGlyph.html#ae011c93beb83519e10926d6832bde6e4">MFLTGlyph</a>
, <a class="el" href="structMInputContext.html#ad1203e2d94ecae1faf59b396335746e9">MInputContext</a>
, <a class="el" href="structMDrawGlyph.html#a247a594b7ad149f97f8ba6524fd2223b">MDrawGlyph</a>
</li>
<li>at_most
: <a class="el" href="structMConverter.html#a99e6c2a37b8f4313960b9006fcf3ddc2">MConverter</a>
</li>
<li>max_line_ascent
: <a class="el" href="structMDrawControl.html#a580b5482104099d6d0b087e575e3bf49">MDrawControl</a>
</li>
<li>max_line_descent
: <a class="el" href="structMDrawControl.html#a2801c3613af8ee5ffede27cdbcc1c91e">MDrawControl</a>
</li>
<li>max_line_width
: <a class="el" href="structMDrawControl.html#a7fc02b6a32786c4cb255c706f89dd1a4">MDrawControl</a>
</li>
</ul>


<h3><a class="anchor" id="index_b">- b -</a></h3><ul>
<li>back
: <a class="el" href="structMFLTGlyphAdjustment.html#aee994941a0007062c69d1f81c9f12407">MFLTGlyphAdjustment</a>
</li>
<li>bom
: <a class="el" href="structMCodingInfoUTF.html#a76136aaed031c21a9d8ea4ebc32bddf4">MCodingInfoUTF</a>
</li>
</ul>


<h3><a class="anchor" id="index_c">- c -</a></h3><ul>
<li>c
: <a class="el" href="structMConverter.html#ad88907a7a365905704cf01f5da5b7a59">MConverter</a>
, <a class="el" href="structMFLTGlyph.html#aba7544461f4fd996ef784d1aac1edbbf">MFLTGlyph</a>
</li>
<li>callback_list
: <a class="el" href="structMInputDriver.html#a159fe7401cd0913dc8c480a18efeff64">MInputDriver</a>
</li>
<li>candidate_from
: <a class="el" href="structMInputContext.html#a943db73e2b3acc93f688ae4906634c33">MInputContext</a>
</li>
<li>candidate_index
: <a class="el" href="structMInputContext.html#a76794f673ced6c5533d70b8402932d7f">MInputContext</a>
</li>
<li>candidate_list
: <a class="el" href="structMInputContext.html#a1e5d075cdade4c6fa85df493b4d59bd8">MInputContext</a>
</li>
<li>candidate_show
: <a class="el" href="structMInputContext.html#abf2bc304a81d74df89d64c9a18f19cbe">MInputContext</a>
</li>
<li>candidate_to
: <a class="el" href="structMInputContext.html#a833ed0b9c6f4143ba5d96565701b9a2d">MInputContext</a>
</li>
<li>candidates_changed
: <a class="el" href="structMInputContext.html#af22fda4a16e654bba630b093807b78f9">MInputContext</a>
</li>
<li>check_otf
: <a class="el" href="structMFLTFont.html#ab700eef1e5f6c36245e810192264c8c0">MFLTFont</a>
</li>
<li>client
: <a class="el" href="structMInputGUIArgIC.html#a8005530d7b344cd223f5172e2a94cd96">MInputGUIArgIC</a>
</li>
<li>client_win
: <a class="el" href="structMInputXIMArgIC.html#a9e459828b3f36cf7a30beea663a513bf">MInputXIMArgIC</a>
</li>
<li>clip_region
: <a class="el" href="structMDrawControl.html#a3485775bf4708899bbad2626e6c594ce">MDrawControl</a>
</li>
<li>close_im
: <a class="el" href="structMInputDriver.html#a6e9c0255e16e7a1039f0078c44a15fbb">MInputDriver</a>
</li>
<li>code
: <a class="el" href="structMFLTGlyph.html#a7109fc2236f80a4bc1b0c29530a9718b">MFLTGlyph</a>
</li>
<li>code_unit_bits
: <a class="el" href="structMCodingInfoUTF.html#ad1a0a99c0bc1b2d78090df6824c28fe8">MCodingInfoUTF</a>
</li>
<li>color
: <a class="el" href="structMFaceHLineProp.html#ab2e195f9132b4c9c141c5c7f3364a805">MFaceHLineProp</a>
</li>
<li>color_bottom
: <a class="el" href="structMFaceBoxProp.html#a19fcb172ac3416b83d339b2aa7a729e1">MFaceBoxProp</a>
</li>
<li>color_left
: <a class="el" href="structMFaceBoxProp.html#aa65b5f76d42c04314ed016e1313371c7">MFaceBoxProp</a>
</li>
<li>color_right
: <a class="el" href="structMFaceBoxProp.html#a05d85b49bbf82389797b3db9d2156804">MFaceBoxProp</a>
</li>
<li>color_top
: <a class="el" href="structMFaceBoxProp.html#a91d86346c5d008b1de28e1d2c63f50e0">MFaceBoxProp</a>
</li>
<li>control
: <a class="el" href="structMDrawTextItem.html#a1c573aa0f18841e2c98417b6e08e7089">MDrawTextItem</a>
</li>
<li>create_ic
: <a class="el" href="structMInputDriver.html#ab5a159c0f0b8920b088db43c7a4f0064">MInputDriver</a>
</li>
<li>cursor_bidi
: <a class="el" href="structMDrawControl.html#acc07249ccdbadac27613ef85e3eaf619">MDrawControl</a>
</li>
<li>cursor_pos
: <a class="el" href="structMDrawControl.html#a86f43b5b69cac1ae87df02d129bb41cb">MDrawControl</a>
, <a class="el" href="structMInputContext.html#ac9591f83981bf35ba2f1d3dd434c4874">MInputContext</a>
</li>
<li>cursor_pos_changed
: <a class="el" href="structMInputContext.html#a185a8cda3e382b121b8be90c7833c624">MInputContext</a>
</li>
<li>cursor_width
: <a class="el" href="structMDrawControl.html#abecdf1eed786dd72a99a58a77508c605">MDrawControl</a>
</li>
</ul>


<h3><a class="anchor" id="index_d">- d -</a></h3><ul>
<li>db
: <a class="el" href="structMInputXIMArgIM.html#a0ac5010b5bf75ffffd0a721b919fe7eb">MInputXIMArgIM</a>
</li>
<li>dbl
: <a class="el" href="structMConverter.html#a32be6c26106bc428e5517d4b64b8e5cf">MConverter</a>
</li>
<li>delta
: <a class="el" href="structMDrawTextItem.html#adef67744800c990f6abacdcad94d06a1">MDrawTextItem</a>
</li>
<li>descent
: <a class="el" href="structMInputContext.html#ab1ec923a596b4deb2a1ad086ec26b4f5">MInputContext</a>
, <a class="el" href="structMFLTGlyph.html#aab0fb75f16933235700a2a0448608280">MFLTGlyph</a>
, <a class="el" href="structMDrawGlyph.html#a2b9cebf0a3800ec7dbfac0d683d7c421">MDrawGlyph</a>
</li>
<li>designations
: <a class="el" href="structMCodingInfoISO2022.html#a4be0028b715d0b598ecb10b11f592ea1">MCodingInfoISO2022</a>
</li>
<li>destroy_ic
: <a class="el" href="structMInputDriver.html#ace8401115ecab3c6a859d49665e48bd4">MInputDriver</a>
</li>
<li>disable_caching
: <a class="el" href="structMDrawControl.html#a5e496fa6dcad730d7d04048b87c0d01e">MDrawControl</a>
</li>
<li>disable_overlapping_adjustment
: <a class="el" href="structMDrawControl.html#a8ab506d53849a2527b91355d784c4fe9">MDrawControl</a>
</li>
<li>display
: <a class="el" href="structMInputXIMArgIM.html#ab98fd8d4d94973c5660560b1fd41b242">MInputXIMArgIM</a>
</li>
<li>drive_otf
: <a class="el" href="structMFLTFont.html#a526e63af6e82feb162dba9b8ba1b7219">MFLTFont</a>
</li>
<li>driver
: <a class="el" href="structMInputMethod.html#a50c13f896654f2e03f63781abc06eaf4">MInputMethod</a>
</li>
</ul>


<h3><a class="anchor" id="index_e">- e -</a></h3><ul>
<li>enable_bidi
: <a class="el" href="structMDrawControl.html#aa1e5f8852e113906ae304de0392585cb">MDrawControl</a>
</li>
<li>encoded
: <a class="el" href="structMFLTGlyph.html#a98d0801d98d007498644412a971562ec">MFLTGlyph</a>
</li>
<li>endian
: <a class="el" href="structMCodingInfoUTF.html#ac0c8e457d17f8e5e4b7e19265c7c04d4">MCodingInfoUTF</a>
</li>
<li>measured
: <a class="el" href="structMFLTGlyph.html#ac02feb7f094d931107491d9f1219aec8">MFLTGlyph</a>
</li>
<li>metrics
: <a class="el" href="structMDrawGlyphInfo.html#acaa82f47d4867b5b6302a9f2da57f7e0">MDrawGlyphInfo</a>
</li>
</ul>


<h3><a class="anchor" id="index_f">- f -</a></h3><ul>
<li>face
: <a class="el" href="structMDrawTextItem.html#a96752fa7f14cf4c8444fd9eee08134b5">MDrawTextItem</a>
</li>
<li>family
: <a class="el" href="structMFLTFont.html#a4ee5ae21387ac0a308d325c2803ce38d">MFLTFont</a>
</li>
<li>features
: <a class="el" href="structMFLTOtfSpec.html#a2abbf55c873077237827f0a66e074138">MFLTOtfSpec</a>
</li>
<li>filler
: <a class="el" href="structM17NObjectHead.html#a190be334f3df7a94e9ddd3aeeff2723b">M17NObjectHead</a>
</li>
<li>filter
: <a class="el" href="structMInputDriver.html#a09e43f1c01e441351b7c0c5e16a129dc">MInputDriver</a>
</li>
<li>fixed_width
: <a class="el" href="structMDrawControl.html#ae64a993e19d6a445da577908b00f3215">MDrawControl</a>
</li>
<li>flags
: <a class="el" href="structMCodingInfoISO2022.html#a44a648a1bc5fb91e704593f1416ab62c">MCodingInfoISO2022</a>
</li>
<li>focus
: <a class="el" href="structMInputGUIArgIC.html#a13e3388f33a44266b0a3a4ca8aee76d7">MInputGUIArgIC</a>
</li>
<li>focus_win
: <a class="el" href="structMInputXIMArgIC.html#ad96f62a8c4719e174573dfc69eff23cc">MInputXIMArgIC</a>
</li>
<li>font
: <a class="el" href="structMDrawGlyphInfo.html#a9aa1d925d900085b8cfffa5cd33cb423">MDrawGlyphInfo</a>
, <a class="el" href="structMDrawGlyph.html#ac010255718f969e36d838f87b70e7f06">MDrawGlyph</a>
</li>
<li>font_type
: <a class="el" href="structMDrawGlyph.html#ab6983fa35f2a3b7815155a6c3d0dfcfd">MDrawGlyph</a>
</li>
<li>fontp
: <a class="el" href="structMDrawGlyph.html#a1077271146021fa87e1b0ab8dcb0ee8d">MDrawGlyph</a>
</li>
<li>fontsize
: <a class="el" href="structMInputContext.html#a5024b6f408bf42851ed351fb042fbe96">MInputContext</a>
</li>
<li>format
: <a class="el" href="structMDrawControl.html#a12ce6429f5889dc5e9dd7b96c3be6ed4">MDrawControl</a>
</li>
<li>frame
: <a class="el" href="structMInputGUIArgIC.html#ab6896b151a4ab6db3070f35eb28d8c68">MInputGUIArgIC</a>
</li>
<li>from
: <a class="el" href="structMDrawGlyph.html#a01c9f0e3bf606fdc192dc57e628b4535">MDrawGlyph</a>
, <a class="el" href="structMFLTGlyph.html#a3997cefcea27225adf38fe5720443b25">MFLTGlyph</a>
, <a class="el" href="structMDrawGlyphInfo.html#a447bccc97a2f12ef9a4b1407adadf7d6">MDrawGlyphInfo</a>
</li>
<li>MFACE_HLINE_BOTTOM
: <a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1a00585882f8bc62783cfb368404679015">MFaceHLineProp</a>
</li>
<li>MFACE_HLINE_OVER
: <a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1a17b353359fbe1d9ea61d4ddd87a9e12f">MFaceHLineProp</a>
</li>
<li>MFACE_HLINE_STRIKE_THROUGH
: <a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1a8fb841d5ab52cbf95734efefb63f89d8">MFaceHLineProp</a>
</li>
<li>MFACE_HLINE_TOP
: <a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1a2e4ec14d0b821b028754f324c5e0eefe">MFaceHLineProp</a>
</li>
<li>MFACE_HLINE_UNDER
: <a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1af3f568edf277b29e33ec1e4830487295">MFaceHLineProp</a>
</li>
<li>MFaceHLineType
: <a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1">MFaceHLineProp</a>
</li>
</ul>


<h3><a class="anchor" id="index_g">- g -</a></h3><ul>
<li>get_glyph_id
: <a class="el" href="structMFLTFont.html#a0be91be8feeb8e0506011cb6a8794032">MFLTFont</a>
</li>
<li>get_metrics
: <a class="el" href="structMFLTFont.html#a0c12c56b74101919f49cc396edb9c4fb">MFLTFont</a>
</li>
<li>glyph_code
: <a class="el" href="structMDrawGlyph.html#aebd827c9ab5b6cfda97ff1d150594d8c">MDrawGlyph</a>
</li>
<li>glyph_size
: <a class="el" href="structMFLTGlyphString.html#a3f4914499360ee6085733370a7827993">MFLTGlyphString</a>
</li>
<li>glyphs
: <a class="el" href="structMFLTGlyphString.html#af019589ab90ca6672fb31b65b7077af9">MFLTGlyphString</a>
</li>
</ul>


<h3><a class="anchor" id="index_h">- h -</a></h3><ul>
<li>height
: <a class="el" href="structMDrawMetric.html#af4e443f9281b5063f29407d5e630fd4e">MDrawMetric</a>
</li>
</ul>


<h3><a class="anchor" id="index_i">- i -</a></h3><ul>
<li>ignore_formatting_char
: <a class="el" href="structMDrawControl.html#a5552f972cdf5378dd22001e30ea76c6c">MDrawControl</a>
</li>
<li>im
: <a class="el" href="structMInputContext.html#a61a94b70f77af6c5c16111b13c17508d">MInputContext</a>
</li>
<li>info
: <a class="el" href="structMInputMethod.html#a164148109aa2bba97e9308fb456919e8">MInputMethod</a>
, <a class="el" href="structMInputContext.html#a4da2ca307715dcbeca602aa5cfcb33c1">MInputContext</a>
</li>
<li>initial_invocation
: <a class="el" href="structMCodingInfoISO2022.html#a63a338d45583142ffde67f198800ee14">MCodingInfoISO2022</a>
</li>
<li>inner_hmargin
: <a class="el" href="structMFaceBoxProp.html#ac930be6305b09b92bfc59632cedb0888">MFaceBoxProp</a>
</li>
<li>inner_vmargin
: <a class="el" href="structMFaceBoxProp.html#a77d5aa80ca8407be0c4c5ac7d426bd8d">MFaceBoxProp</a>
</li>
<li>input_style
: <a class="el" href="structMInputXIMArgIC.html#a9f945020a38d416432b2a1b1e16f86ed">MInputXIMArgIC</a>
</li>
<li>internal
: <a class="el" href="structMFLTGlyph.html#a0b2d21195c9e213070e3cd20b2432e8f">MFLTGlyph</a>
, <a class="el" href="structMFLTFont.html#a246902fe3b4b6a918a51daa05051a6ed">MFLTFont</a>
</li>
<li>internal_info
: <a class="el" href="structMConverter.html#a0316d9ad5f6ea12f166b4db59dc5ab3d">MConverter</a>
</li>
<li>min_line_ascent
: <a class="el" href="structMDrawControl.html#a5dcb86bffa8bdbd27d9c629e972c8e4d">MDrawControl</a>
</li>
<li>min_line_descent
: <a class="el" href="structMDrawControl.html#af101c1b8c432dfdeeb9aedcc2acd788d">MDrawControl</a>
</li>
</ul>


<h3><a class="anchor" id="index_l">- l -</a></h3><ul>
<li>langsys
: <a class="el" href="structMFLTOtfSpec.html#adcbcda3c2b2b2a183e36d9e856c7ee68">MFLTOtfSpec</a>
</li>
<li>language
: <a class="el" href="structMInputMethod.html#ad418711bca43a10b3afb2939cd752eb9">MInputMethod</a>
</li>
<li>last_block
: <a class="el" href="structMConverter.html#a25e07110149579b8867e4795b280e868">MConverter</a>
</li>
<li>lbearing
: <a class="el" href="structMFLTGlyph.html#a262d31edb49b724d4150812689ab05ef">MFLTGlyph</a>
, <a class="el" href="structMDrawGlyph.html#a0ac28c3492847ea5b776c4dbdc87c1a3">MDrawGlyph</a>
</li>
<li>left_from
: <a class="el" href="structMDrawGlyphInfo.html#a36e10a86b98aa88745772554de3f79e3">MDrawGlyphInfo</a>
</li>
<li>left_to
: <a class="el" href="structMDrawGlyphInfo.html#a81c27750a20614fb98e1e084e675ff0d">MDrawGlyphInfo</a>
</li>
<li>lenient
: <a class="el" href="structMConverter.html#a1e6ac361d7ec9fc7b8e6471641b8df05">MConverter</a>
</li>
<li>line_break
: <a class="el" href="structMDrawControl.html#a01f9bbffae254744fefe98794f357439">MDrawControl</a>
</li>
<li>line_from
: <a class="el" href="structMDrawGlyphInfo.html#a62fdb2ac09992ee300c3d30c67088ca3">MDrawGlyphInfo</a>
</li>
<li>line_to
: <a class="el" href="structMDrawGlyphInfo.html#ab31beb42b28acbb75f1f8debe9819508">MDrawGlyphInfo</a>
</li>
<li>locale
: <a class="el" href="structMInputXIMArgIM.html#ade42ccfe5b1e4587a2dd0e9cf019a764">MInputXIMArgIM</a>
</li>
<li>logical_width
: <a class="el" href="structMDrawGlyphInfo.html#a5a4d7a62d82388285dc35d677a25d7c9">MDrawGlyphInfo</a>
</li>
<li>lookup
: <a class="el" href="structMInputDriver.html#a8b206e6ce988f1aeafac41efadf493af">MInputDriver</a>
</li>
</ul>


<h3><a class="anchor" id="index_n">- n -</a></h3><ul>
<li>name
: <a class="el" href="structMInputMethod.html#a45c41b1b26161fc5569fd2f32bc6ee58">MInputMethod</a>
</li>
<li>nbytes
: <a class="el" href="structMConverter.html#a70d38d3bda2a382e037fbe72f7e46be1">MConverter</a>
</li>
<li>nchars
: <a class="el" href="structMConverter.html#a6b7c87d3ce21346ff6543e7afadab693">MConverter</a>
</li>
<li>next_to
: <a class="el" href="structMDrawGlyphInfo.html#aafb3540a6d715bfcdf761ca9ba546689">MDrawGlyphInfo</a>
</li>
</ul>


<h3><a class="anchor" id="index_o">- o -</a></h3><ul>
<li>modifier_list
: <a class="el" href="structMInputXIMArgIM.html#a8ce74cd4e86a6da199c84ea1c279c748">MInputXIMArgIM</a>
</li>
<li>open_im
: <a class="el" href="structMInputDriver.html#a6de5d7d05acec89bf7e41b2f234082f7">MInputDriver</a>
</li>
<li>orientation_reversed
: <a class="el" href="structMDrawControl.html#a1d5acd8d1a0da026c17c0c514ad6a303">MDrawControl</a>
</li>
<li>outer_hmargin
: <a class="el" href="structMFaceBoxProp.html#afef6a830345bf42aaf4c044f0bdaac20">MFaceBoxProp</a>
</li>
<li>outer_vmargin
: <a class="el" href="structMFaceBoxProp.html#ab5e4b4fe78b8f476fa6c94d678cf4465">MFaceBoxProp</a>
</li>
</ul>


<h3><a class="anchor" id="index_p">- p -</a></h3><ul>
<li>partial_update
: <a class="el" href="structMDrawControl.html#ab2291cc39af2f862b4e5ebd1dbba4162">MDrawControl</a>
</li>
<li>plist
: <a class="el" href="structMInputContext.html#a12f494b6550e5ec675c187766fb9e461">MInputContext</a>
</li>
<li>pos
: <a class="el" href="structMInputContext.html#a6c3634d77ee1e647c3ffebdcbb6eb0f8">MInputContext</a>
</li>
<li>preedit
: <a class="el" href="structMInputContext.html#ac21bdea1c1b75147e95f473f9c1f858e">MInputContext</a>
</li>
<li>preedit_attrs
: <a class="el" href="structMInputXIMArgIC.html#acf01c48f0adfc301e9d368a06c3a6bc1">MInputXIMArgIC</a>
</li>
<li>preedit_changed
: <a class="el" href="structMInputContext.html#a341be05656979fb92e860f4c024ffcb0">MInputContext</a>
</li>
<li>prev_from
: <a class="el" href="structMDrawGlyphInfo.html#a3d72abd4143a4f5f1f5e219b1a6d42c9">MDrawGlyphInfo</a>
</li>
<li>produced
: <a class="el" href="structMInputContext.html#abcc80db3e3c89a99611e44405540984e">MInputContext</a>
</li>
<li>ptr
: <a class="el" href="structMConverter.html#ad5b2106ccda2ff7146717234462f3653">MConverter</a>
</li>
</ul>


<h3><a class="anchor" id="index_r">- r -</a></h3><ul>
<li>r2l
: <a class="el" href="structMFLTGlyphString.html#a44af0364811e4bfbe5d571329a409898">MFLTGlyphString</a>
</li>
<li>rbearing
: <a class="el" href="structMFLTGlyph.html#a60884dd3055c58c648da8f2aa300d9ca">MFLTGlyph</a>
, <a class="el" href="structMDrawGlyph.html#a09fdb20e585babecfec18d6f3fc98420">MDrawGlyph</a>
</li>
<li>res_class
: <a class="el" href="structMInputXIMArgIM.html#a64ced6a3064e7104a6dbdcdc5ea6585f">MInputXIMArgIM</a>
</li>
<li>res_name
: <a class="el" href="structMInputXIMArgIM.html#a22c9ca86b65ef0f303a45250a649363e">MInputXIMArgIM</a>
</li>
<li>result
: <a class="el" href="structMConverter.html#a10d13721702b68bfa1ecf16a877dd640">MConverter</a>
</li>
<li>right_from
: <a class="el" href="structMDrawGlyphInfo.html#a7415480cdb3745b3fec03bae5d671ab7">MDrawGlyphInfo</a>
</li>
<li>right_to
: <a class="el" href="structMDrawGlyphInfo.html#a3f3b345def4b9cb52c223a69a688eca4">MDrawGlyphInfo</a>
</li>
</ul>


<h3><a class="anchor" id="index_s">- s -</a></h3><ul>
<li>script
: <a class="el" href="structMFLTOtfSpec.html#a9f556deccaf29246e2af13dad4796c10">MFLTOtfSpec</a>
</li>
<li>set
: <a class="el" href="structMFLTGlyphAdjustment.html#ab32192ffac060bcd7891cccdf340112f">MFLTGlyphAdjustment</a>
</li>
<li>spot
: <a class="el" href="structMInputContext.html#a073747cc1fd3105429f73a89d0c36f9c">MInputContext</a>
</li>
<li>status
: <a class="el" href="structMConverter.html#a6900c286637b8bd870c4357b9cdc9d33">MConverter</a>
, <a class="el" href="structMInputContext.html#a8d97006361b9b752d35f00e5ac75b238">MInputContext</a>
</li>
<li>status_attrs
: <a class="el" href="structMInputXIMArgIC.html#a1a9ae7b2c14f94d82f544a76a720ced7">MInputXIMArgIC</a>
</li>
<li>status_changed
: <a class="el" href="structMInputContext.html#a851999b4de16727f39e918bb388deab4">MInputContext</a>
</li>
<li>sym
: <a class="el" href="structMFLTOtfSpec.html#a65ef8c29707b29a83c7248c5a40e2b18">MFLTOtfSpec</a>
</li>
</ul>


<h3><a class="anchor" id="index_t">- t -</a></h3><ul>
<li>mt
: <a class="el" href="structMInputContext.html#a8b253a1996d374bcf6d72787bcb9c201">MInputContext</a>
, <a class="el" href="structMDrawTextItem.html#a99bb9d74728abc2a3cb334170fcf4896">MDrawTextItem</a>
</li>
<li>tab_width
: <a class="el" href="structMDrawControl.html#a80fd394fb5a68f773c06badcff75a67f">MDrawControl</a>
</li>
<li>to
: <a class="el" href="structMFLTGlyph.html#ac53dc0c1cbf143c355b844f82906b702">MFLTGlyph</a>
, <a class="el" href="structMDrawGlyphInfo.html#a959a29a28118d7db13a375b8163a7f01">MDrawGlyphInfo</a>
, <a class="el" href="structMDrawGlyph.html#a41c5fd578f7167e8d9bc31ae9df0dccf">MDrawGlyph</a>
</li>
<li>two_dimensional
: <a class="el" href="structMDrawControl.html#aa8078b02cc0922ee8c67b9633b68ec14">MDrawControl</a>
</li>
<li>type
: <a class="el" href="structMFaceHLineProp.html#a67da96842d65fa9861e003d3ddf675c1">MFaceHLineProp</a>
</li>
</ul>


<h3><a class="anchor" id="index_u">- u -</a></h3><ul>
<li>used
: <a class="el" href="structMFLTGlyphString.html#a3ccc7a1cea756cdd43178fb6d8b663e3">MFLTGlyphString</a>
</li>
</ul>


<h3><a class="anchor" id="index_w">- w -</a></h3><ul>
<li>width
: <a class="el" href="structMFaceHLineProp.html#aa293fae23733380e781d97e191e5ab23">MFaceHLineProp</a>
, <a class="el" href="structMFaceBoxProp.html#ab83066ac1f68f709615b5cbc2f7c3322">MFaceBoxProp</a>
, <a class="el" href="structMDrawMetric.html#a6408bd8c371014ee034198a810738f96">MDrawMetric</a>
</li>
<li>with_cursor
: <a class="el" href="structMDrawControl.html#a06b6e4aa0a938077c6a3885f26e00fa1">MDrawControl</a>
</li>
</ul>


<h3><a class="anchor" id="index_x">- x -</a></h3><ul>
<li>x
: <a class="el" href="structMInputContext.html#ad0ddea81107d27fcea91b833c6cd8c46">MInputContext</a>
, <a class="el" href="structMDrawMetric.html#a16c503cd0a112cd513b9440c07e13aa0">MDrawMetric</a>
, <a class="el" href="structMDrawGlyphInfo.html#a624fa8bbc40f462f3b6d84891539fcad">MDrawGlyphInfo</a>
</li>
<li>x_advance
: <a class="el" href="structMDrawGlyph.html#ac814c13052221a9e7195dfcdf5d4297f">MDrawGlyph</a>
</li>
<li>x_off
: <a class="el" href="structMDrawGlyph.html#a89b7f81aa679efbc999a1e5b1e37de60">MDrawGlyph</a>
</li>
<li>x_ppem
: <a class="el" href="structMFLTFont.html#a4f5da0ed80dcff1a9518f8ea538dc805">MFLTFont</a>
</li>
<li>xadv
: <a class="el" href="structMFLTGlyph.html#adc2d36c54171be0b60910d450391ca90">MFLTGlyph</a>
, <a class="el" href="structMFLTGlyphAdjustment.html#a15a8d5a2994dd192e2650fb9487760e9">MFLTGlyphAdjustment</a>
</li>
<li>xoff
: <a class="el" href="structMFLTGlyph.html#ad1893a4e7b67bae84bf5f8969f0f74e2">MFLTGlyph</a>
, <a class="el" href="structMFLTGlyphAdjustment.html#a8d57d0253fbf193fb4488a5e4bb2668d">MFLTGlyphAdjustment</a>
</li>
</ul>


<h3><a class="anchor" id="index_y">- y -</a></h3><ul>
<li>y
: <a class="el" href="structMInputContext.html#a1bce06fc197b83fbe61ebe0b0d366c94">MInputContext</a>
, <a class="el" href="structMDrawMetric.html#a0792ce7cbaf96fbad00f4f5cd895f2f2">MDrawMetric</a>
, <a class="el" href="structMDrawGlyphInfo.html#a6ce5994024cbaa72e4b0f6e4f6a8749f">MDrawGlyphInfo</a>
</li>
<li>y_advance
: <a class="el" href="structMDrawGlyph.html#a0ea0c7bb474929dd6094af188b72ad13">MDrawGlyph</a>
</li>
<li>y_off
: <a class="el" href="structMDrawGlyph.html#a0aa9c8644380aaa7572efc60b020a0d4">MDrawGlyph</a>
</li>
<li>y_ppem
: <a class="el" href="structMFLTFont.html#ad645f26ac88930e973a637163c4cfae3">MFLTFont</a>
</li>
<li>yadv
: <a class="el" href="structMFLTGlyph.html#a4f6bdf7dcd6eb716dfbd04d3bebe0715">MFLTGlyph</a>
, <a class="el" href="structMFLTGlyphAdjustment.html#af0883a32e2ecd73cd823c0af21fa12d0">MFLTGlyphAdjustment</a>
</li>
<li>yoff
: <a class="el" href="structMFLTGlyph.html#a4ab4bb4a600a8eb211d2b29b7118f9fa">MFLTGlyph</a>
, <a class="el" href="structMFLTGlyphAdjustment.html#a8a4a85f7ca77f747499e53398b5cd7be">MFLTGlyphAdjustment</a>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
